14e4:4357 Can't see any Wi-Fi networks -- wl not set to correct regulatory domain

Bug #987364 reported by stefano.fraccaro on 2012-04-23
48
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have installed LUbuntu 12.04 64 bit on a Acer Travelmate 5735 but the wireless card is not working properly because my WiFi card is set to US and my AP is IT channel 13. I have tried with proprietary driver (proposed by Lubuntu), with or without acer-wmi module blacklisted.
I can see wlan0 as network interface but I can't see any wireless network available.

WORKAROUND: sudo iw reg set IT

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: network-manager-gnome 0.9.4.1-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.0.1-0ubuntu6
Architecture: amd64
CRDA: Error: [Errno 2] File o directory non esistente
Date: Mon Apr 23 17:15:56 2012
ExecutablePath: /usr/bin/nm-applet
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Lubuntu 12.04 "Precise Pangolin" - Beta amd64 (20120328)
IpRoute:
 default via 192.4.0.253 dev eth0 proto static
 172.16.51.0/24 dev vmnet8 proto kernel scope link src 172.16.51.1
 192.4.0.0/24 dev eth0 proto kernel scope link src 192.4.0.87 metric 1
 192.168.126.0/24 dev vmnet1 proto kernel scope link src 192.168.126.1
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager-applet
UpgradeStatus: No upgrade log present (probably fresh install)
XsessionErrors:
 (polkit-gnome-authentication-agent-1:1608): GLib-CRITICAL **: g_variant_new_string: assertion `string != NULL' failed
 (polkit-gnome-authentication-agent-1:1608): polkit-gnome-1-WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Connessione via cavo 1 fb72bc4c-9db4-4061-bcab-58e3f6414dd8 802-3-ethernet 1335194168 lun 23 apr 2012 17:16:08 CEST yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 wlan0 802-11-wireless disconnected /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled disabled
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu6
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: utente 1502 f.... lxpanel
CRDA: Error: [Errno 2] File o directory non esistente
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd6700000 irq 45'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:10ec0272,1025048a,00100001 HDA:80862802,80860101,00100000'
   Controls : 25
   Simple ctrls : 11
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=ef44a5a2-45d2-4d62-a4d5-c7cd432f189a
InstallationMedia: Lubuntu 12.04 "Precise Pangolin" - Beta amd64 (20120328)
MachineType: Acer TravelMate 5735
NonfreeKernelModules: wl
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=a5803bd3-4513-4d17-87bc-8d06d0cdfbee ro quiet splash nomodeset vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-23-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 09/23/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: BA51_MV
dmi.board.vendor: Acer
dmi.board.version: V1.04
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.04
dmi.modalias: dmi:bvnAcer:bvrV1.04:bd09/23/2010:svnAcer:pnTravelMate5735:pvrV1.04:rvnAcer:rnBA51_MV:rvrV1.04:cvnAcer:ct10:cvrV1.04:
dmi.product.name: TravelMate 5735
dmi.product.version: V1.04
dmi.sys.vendor: Acer
---
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
DistroRelease: Ubuntu 12.04
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: linux-meta
Tags: precise precise
Uname: Linux 3.4.0-030400rc6-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

stefano.fraccaro (sf-1) wrote :
Eric Miao (eric.y.miao) on 2012-04-24
Changed in linux (Ubuntu):
status: New → Incomplete
Eric Miao (eric.y.miao) wrote :

Hi druido77,

I have a bcmwl working on my machine, though with a different broadcom chip. Checked the WifiSyslog.txt a bit, I found many kernel oops, and this looks like kernel related, I've subscribed the linux (ubuntu) project as affected. In the mean while, could you please help:

1. do an apport-collect -p linux <this bug number>

2. give b43 driver (not broadcom's bcmwl, the one comes with the standard ubuntu kernel package) a test

3. and possibly with an ubuntu daily live ISO to make sure it's not Lubuntu related

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

# 2
apport-collect : OK
b43: I have wlan0 but "sudo iwlist scanning" return "No scan results" (we have 2 wireless lan)
Ubuntu Live CD: I try in few hours

Nothing indicates an issue in NetworkManager yet, setting in back to Incomplete in case.

I vaguely recall seeing similar linux bugs about the Broadcom 43225, maybe this is worth checking whether there are duplicates open.

affects: network-manager-applet (Ubuntu) → network-manager (Ubuntu)
Changed in network-manager (Ubuntu):
status: New → Incomplete
stefano.fraccaro (sf-1) wrote :

Ubuntu live cd: same issue as lubuntu, I have wlan0 interface but I don't see any wireless lan

stefano.fraccaro (sf-1) wrote :

Can be a bug of the broadcom-sta package?

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc4-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
stefano.fraccaro (sf-1) on 2012-04-26
tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
stefano.fraccaro (sf-1) wrote :

utente@utente-TravelMate-5735:~$ uname -a
Linux utente-TravelMate-5735 3.4.0-030400rc4-generic #201204230908 SMP Mon Apr 23 13:10:03 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

utente@utente-TravelMate-5735:~$ sudo rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

With this kernel the proprietary driver Broadcom STA fail to install.
Same problem, I have wlan0 but I'm unable to find any wireless network. I have remove the tag needs-upstream-testing and added kernel-bug-exists-upstream.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in network-manager:
importance: Unknown → Medium
status: Unknown → Confirmed
Shriramana Sharma (jamadagni) wrote :

Same bug observed on a system with BCM4312 also.

Shriramana Sharma (jamadagni) wrote :

I'm sorry I should have explained that. See bug #994664, but curiously on my father's system with BCM4312, the output of rfkill list all is like the output reported here and not the one reported there. But then again, bug #990222 shows this bug with BCM4313 too, so this is really a generic Broadcom-related bug. I'm marking that as a dup of this one too.

quent57 (quent57) wrote :

It's work for me on a Acer Aspire TimelineX 1830T.

I have done an update to Ubuntu 12.04 from ubuntu 11.10 64 bit.

Some info of my config :

$ sudo lshw | grep 802.
                produit: BCM43225 802.11b/g/n
                configuration: broadcast=yes driver=brcmsmac driverversion=3.2.0-24-generic firmware=N/A ip=192.168.1.44 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn

$ uname -a
Linux quentin-Aspire-1830T 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

And I have added blacklist acer_wmi to /etc/modprobe.d/blacklist.conf

 A small story :
It's worked on Ubuntu 11.10 after those operations :
 - install the proprietary driver
 - add blacklist acer_wmi
It worked well except on wpa2. With a wpa2 key, the internet worked 5 seconds after connection, after the connection status was ok, but i cannot access internet.

Ask me if you want more details.

stefano.fraccaro (sf-1) wrote :

Hi quent57,
  I have reinstalled Ubuntu 64 bit, done all updates, blacklisted acer_wmi module, removed broadcom proprietary driver and used brcmsmac driver and rebooted the notebook.
I have latency=0 and link=no but other strings are equal. I see the wlan0 interface but I'm unable to scan any SSID. We have only WPA/WPA2 protected networks: this type of protection is mandatory in many environments.

stefano.fraccaro (sf-1) on 2012-05-14
description: updated
stefano.fraccaro (sf-1) wrote :

Resolved with opensource driver and setting the country code to IT (instead of default US)
# iw reg set IT

:-)

Jeffrey Tees (jeff-tees) wrote :

I think my Acer Aspire One D260 is affectd, by this bug. Broadcom BCM4313 (b/g/n) Wireless lan Controller. I've trying for two days to sort out this problem.

My Wireless was working prior to a recent BT Infinity install (17/05/12), but there was a dist-upgrade run shortly before.

Now all I can see in Network list is a couple of neighbouring wireless points, but not the same items as desktop machines wireless (Ubuntu 12.04 (fresh install - TP-Link usb b/g) - The TP-Link desktop system connects fine to router as do other Windows and phones)
System was 32bit upgraded from 11.10 to 12.04 a couple of weeks back (no issues until now). Tried fresh install of 64bit version (leaving /home untouched but formatting/replacing / ). Problem not resolved.

(Posted from my desktop)

Since my bug has been merged with this one I thought I would mention that in Bug #990222 I included the workaround procedure I used to get the wireless working. Now that it has been merged it will not show up in a search.

Since we have merged the bugs I will update the description, too... Like others who have been merged here I have a Broadcom BCM4313 in this Acer Aspire One D260. This is an upgraded system and I have not tested a fresh install, but it sounds like the original reporter installed fresh. Also my system includes Ubuntu AND Lubuntu packages installed. Not sure how GENERAL this Broadcom bug is ...?

summary: - Broadcom 43225 wireless not working on lubuntu 12.04
+ Broadcom wireless not working on 12.04 Precise
glidester (glidester) wrote :

Just thought I'd chip in.

I have a samsung R780 laptop with a Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)

Tried all sorts to get it working, removing bcmwl-kernel-source and installling b43-fwcutter and firmware-b43-lpphy-installer packages but still could not connect to my secured wireless network (just kept asking for the password).

Then I read the dupe bug of this one https://bugs.launchpad.net/ubuntu/+source/broadcom-sta/+bug/990222 and comment 21 from emptythevoid held the answer.

I enabled thre 3rd party repositories in synaptic and then i was able to install the restricted broadcom driver (previously it had just given me the jockey.log message, not very helpful).

Hope this might help some others.

Thomas Hood (jdthood) on 2012-06-26
summary: - Broadcom wireless not working on 12.04 Precise
+ Broadcom wireless not working on 12.04 Precise -- wl
summary: - Broadcom wireless not working on 12.04 Precise -- wl
+ Can't see any Wi-Fi networks -- wl
summary: - Can't see any Wi-Fi networks -- wl
+ 14e4:4357 Can't see any Wi-Fi networks -- wl
tags: added: bios-outdated-1.14
tags: added: needs-upstream-testing
no longer affects: network-manager (Ubuntu)
affects: network-manager → linux
description: updated
description: updated
description: updated
summary: - 14e4:4357 Can't see any Wi-Fi networks -- wl
+ 14e4:4357 Can't see any Wi-Fi networks -- wl not set to correct
+ regulatory domain
To post a comment you must log in.